# IBM.MAK 
#
# Makefile for GSMDLL.DLL
#
# Invoke with 'nmake /f ibm.mak'
#
# Ignore all warnings like:
# "warning EDC0304: No function prototype given for '<function>'."
# "warning EDC0236: Macro name assert has been redefined."
#
# Adjust all drive and path specifier to your local needs!

_DRIVE = e:
_COMPILER = ICC.EXE
_CSET = e:\cset
_COMP = $(_DRIVE)\vac
_SRC_G = d:\bcos2\bin\work\gsm
_DST = d:\bcos2\bin
#  _DST = $(_TMP)
_TMP = $(_COMP)\tmp
_OBJ = $(_COMP)\obj
ILIB = IMPLIB

INCLUDE=$(_COMP)\include;$(_COMP)\include\os2;$(_DRIVE)\toolkit\h;
LIB=$(_COMP)\lib;$(_DRIVE)\toolkit\lib;
PATH=$(_COMP)\bin;$(PATH)
DPATH=$(_COMP)\help;$(DPATH)

CFLAGS = /Q /Ss /Gn /Gm 
GSM_FLAGS = /DSASR
DLL = /Ge-
LFLAGS = $(CFLAGS)
LIBARIES = $(_OBJ)\faxrtl.lib os2386.lib

.SUFFIXES: .c

ALL: GSMDLL

GSMDLL: $(_DST)\GSMDLL.DLL

$(_OBJ)\faxrtl.lib: $(_DST)\faxrtl.dll
    $(ILIB) /NOLOGO /NOI $*.lib $(_DST)\faxrtl.dll

$(_DST)\gsmdll.dll: \
  $(_SRC_G)\gsmdll.def \
  $(_OBJ)\table.obj \
  $(_OBJ)\short_te.obj \
  $(_OBJ)\add.obj \
  $(_OBJ)\rpe.obj \
  $(_OBJ)\lpc.obj \
  $(_OBJ)\long_ter.obj \
  $(_OBJ)\preproce.obj \
  $(_OBJ)\decode.obj \
  $(_OBJ)\code.obj \
  $(_OBJ)\gsm_enco.obj \
  $(_OBJ)\gsm_dest.obj \
  $(_OBJ)\gsm_deco.obj \
  $(_OBJ)\gsm_crea.obj \
  IBM.MAK
    $(CC) @<<
      $(LFLAGS) $(DLL) /Ms /B" /align:4 /noi" -Fe $(_DST)\gsmdll.dll
$(_SRC_G)\gsmdll.def
$(_OBJ)\table.obj
$(_OBJ)\short_te.obj
$(_OBJ)\add.obj
$(_OBJ)\rpe.obj
$(_OBJ)\lpc.obj
$(_OBJ)\long_ter.obj
$(_OBJ)\preproce.obj
$(_OBJ)\decode.obj
$(_OBJ)\code.obj
$(_OBJ)\gsm_enco.obj
$(_OBJ)\gsm_dest.obj
$(_OBJ)\gsm_deco.obj
$(_OBJ)\gsm_crea.obj
$(LIBARIES)
<<

$(_OBJ)\table.obj: $(_SRC_G)\table.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\table.c

$(_OBJ)\short_te.obj: $(_SRC_G)\short_te.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\short_te.c

$(_OBJ)\add.obj: $(_SRC_G)\add.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\add.c

$(_OBJ)\rpe.obj: $(_SRC_G)\rpe.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\rpe.c

$(_OBJ)\lpc.obj: $(_SRC_G)\lpc.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\lpc.c

$(_OBJ)\long_ter.obj: $(_SRC_G)\long_ter.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\long_ter.c

$(_OBJ)\preproce.obj: $(_SRC_G)\preproce.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\preproce.c

$(_OBJ)\decode.obj: $(_SRC_G)\decode.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\decode.c

$(_OBJ)\code.obj: $(_SRC_G)\code.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\code.c

$(_OBJ)\gsm_crea.obj: $(_SRC_G)\gsm_crea.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\gsm_crea.c

$(_OBJ)\gsm_dest.obj: $(_SRC_G)\gsm_dest.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\gsm_dest.c

$(_OBJ)\gsm_deco.obj: $(_SRC_G)\gsm_deco.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\gsm_deco.c

$(_OBJ)\gsm_enco.obj: $(_SRC_G)\gsm_enco.c IBM.MAK
    $(CC) $(CFLAGS) $(GSM_FLAGS) $(DLL) /Fo$*.obj /C $(_SRC_G)\gsm_enco.c

$(_DST)\gsmdll.dll: \
   $(_SRC_G)\config.h \
   $(_SRC_G)\gsm.h \
   $(_SRC_G)\private.h \
   $(_SRC_G)\proto.h \
   $(_SRC_G)\unproto.h \
   IBM.MAK

